
package de.ivu.elect.business.search.control;

import java.io.Serializable;

/**
 *  on 22.07.2015.
 */
public class SearchParameterPersistentEntityState implements Serializable {

  private final String fieldName;

  private final String entityClassName;

  private final Long pk;

  public SearchParameterPersistentEntityState(String fieldName, String entityClassName, Long pk) {
    super();

    this.fieldName = fieldName;
    this.entityClassName = entityClassName;
    this.pk = pk;
  }

  public String getEntityClassName() {
    return entityClassName;
  }

  public String getFieldName() {
    return fieldName;
  }

  public Long getPk() {
    return pk;
  }

  @Override
  public String toString() {
    return "SearchParameterPersistentEntityState{" + "entityClassName='" + entityClassName + '\'' + ", fieldName='" + fieldName + '\''
        + ", pk=" + pk + '}';
  }
}
